from rest_framework import serializers
from . import models

# --------------- FINE PREFISSO TEMPLATE ---------------


class ProgettoSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.Progetto
        fields = ('progetto_padre', 'stato', 'nome', 'descrizione')


class ValorizzazioneEconomicaProgettoSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.ValorizzazioneEconomicaProgetto
        fields = ('progetto', 'dato_economico', 'fase_target')


class RepositorySerializer(serializers.ModelSerializer):
    class Meta:
        model = models.Repository
        fields = ('url', 'descrizione')


class TipoRelazioneSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.TipoRelazione
        fields = ('descrizione')


class AttivitaSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.Attivita
        fields = ('attivita_generica', 'tipo', 'descrizione')


class RisorsaChiaveSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.RisorsaChiave
        fields = ('risorsa_generica', 'descrizione')


class PropostaDiValoreSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.PropostaDiValore
        fields = ('proposta_valore_generica', 'descrizione')


class CanaleDiDistribuzioneSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.CanaleDiDistribuzione
        fields = ('descrizione')


class SettoreDiMercatoSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.SettoreDiMercato
        fields = ('descrizione')


class FlussoDiRicaviSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.FlussoDiRicavi
        fields = ('flusso_ricavi_generico', 'descrizione')


class StrutturaDeiCostiSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.StrutturaDeiCosti
        fields = ('')


class SettoreAziendaSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.SettoreAzienda
        fields = ('settore_generico', 'azienda', 'settore_di_mercato')


class RelazioneConAziendaSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.RelazioneConAzienda
        fields = ('relazione_generica', 'azienda', 'tipo_relazione')


class TipoAttivitaSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.TipoAttivita
        fields = ('descrizione')


class ValoreDelProgettoSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.ValoreDelProgetto
        fields = ('progetto', 'proposta_di_valore')


class AttivitaDelProgettoSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.AttivitaDelProgetto
        fields = ('progetto', 'attivita')


class AssetDelProgettoSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.AssetDelProgetto
        fields = ('progetto', 'asset')


class RisorsaPersonaleSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.RisorsaPersonale
        fields = ('persona')


class RisorsaFisicaSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.RisorsaFisica
        fields = ('descrizione')


class RisorsaFinanziariaSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.RisorsaFinanziaria
        fields = ('descrizione')


class ValoreDellAttivitaSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.ValoreDellAttivita
        fields = ('attivita', 'proposta_di_valore')


class ValorizzazioneEconomicaAttivitaSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.ValorizzazioneEconomicaAttivita
        fields = ('attivita_del_progetto', 'dato_economico')


class AssetDaAttivitaSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.AssetDaAttivita
        fields = ('attivita', 'asset')


class ArchivioFilesSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.ArchivioFiles
        fields = ('url', 'descrizione')


class CanaleDistribuzioneIndirettoSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.CanaleDistribuzioneIndiretto
        fields = ('partnership_distribuzione')
